Submit KYC fields and start any required verification
curl --request POST \
--url https://api.chainrails.io/api/v1/kyc/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"countryCode": "NG",
"provider": "YELLOW_CARD",
"fiatCurrency": "NGN",
"fields": {
"first_name": "Jane",
"date_of_birth": "1990-01-01",
"BVN": "12345678901",
"NIN": "98765432109"
},
"callbackUrl": "https://app.example.com/kyc/complete",
"amountUsd": 100
}
'import requests
url = "https://api.chainrails.io/api/v1/kyc/submit"
payload = {
"email": "[email protected]",
"countryCode": "NG",
"provider": "YELLOW_CARD",
"fiatCurrency": "NGN",
"fields": {
"first_name": "Jane",
"date_of_birth": "1990-01-01",
"BVN": "12345678901",
"NIN": "98765432109"
},
"callbackUrl": "https://app.example.com/kyc/complete",
"amountUsd": 100
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '[email protected]',
countryCode: 'NG',
provider: 'YELLOW_CARD',
fiatCurrency: 'NGN',
fields: {
first_name: 'Jane',
date_of_birth: '1990-01-01',
BVN: '12345678901',
NIN: '98765432109'
},
callbackUrl: 'https://app.example.com/kyc/complete',
amountUsd: 100
})
};
fetch('https://api.chainrails.io/api/v1/kyc/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chainrails.io/api/v1/kyc/submit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => '[email protected]',
'countryCode' => 'NG',
'provider' => 'YELLOW_CARD',
'fiatCurrency' => 'NGN',
'fields' => [
'first_name' => 'Jane',
'date_of_birth' => '1990-01-01',
'BVN' => '12345678901',
'NIN' => '98765432109'
],
'callbackUrl' => 'https://app.example.com/kyc/complete',
'amountUsd' => 100
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.chainrails.io/api/v1/kyc/submit"
payload := strings.NewReader("{\n \"email\": \"[email protected]\",\n \"countryCode\": \"NG\",\n \"provider\": \"YELLOW_CARD\",\n \"fiatCurrency\": \"NGN\",\n \"fields\": {\n \"first_name\": \"Jane\",\n \"date_of_birth\": \"1990-01-01\",\n \"BVN\": \"12345678901\",\n \"NIN\": \"98765432109\"\n },\n \"callbackUrl\": \"https://app.example.com/kyc/complete\",\n \"amountUsd\": 100\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.chainrails.io/api/v1/kyc/submit")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"[email protected]\",\n \"countryCode\": \"NG\",\n \"provider\": \"YELLOW_CARD\",\n \"fiatCurrency\": \"NGN\",\n \"fields\": {\n \"first_name\": \"Jane\",\n \"date_of_birth\": \"1990-01-01\",\n \"BVN\": \"12345678901\",\n \"NIN\": \"98765432109\"\n },\n \"callbackUrl\": \"https://app.example.com/kyc/complete\",\n \"amountUsd\": 100\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chainrails.io/api/v1/kyc/submit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"[email protected]\",\n \"countryCode\": \"NG\",\n \"provider\": \"YELLOW_CARD\",\n \"fiatCurrency\": \"NGN\",\n \"fields\": {\n \"first_name\": \"Jane\",\n \"date_of_birth\": \"1990-01-01\",\n \"BVN\": \"12345678901\",\n \"NIN\": \"98765432109\"\n },\n \"callbackUrl\": \"https://app.example.com/kyc/complete\",\n \"amountUsd\": 100\n}"
response = http.request(request)
puts response.read_bodyKyc
Submit KYC fields and start any required verification
POST
/
kyc
/
submit
Submit KYC fields and start any required verification
curl --request POST \
--url https://api.chainrails.io/api/v1/kyc/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"countryCode": "NG",
"provider": "YELLOW_CARD",
"fiatCurrency": "NGN",
"fields": {
"first_name": "Jane",
"date_of_birth": "1990-01-01",
"BVN": "12345678901",
"NIN": "98765432109"
},
"callbackUrl": "https://app.example.com/kyc/complete",
"amountUsd": 100
}
'import requests
url = "https://api.chainrails.io/api/v1/kyc/submit"
payload = {
"email": "[email protected]",
"countryCode": "NG",
"provider": "YELLOW_CARD",
"fiatCurrency": "NGN",
"fields": {
"first_name": "Jane",
"date_of_birth": "1990-01-01",
"BVN": "12345678901",
"NIN": "98765432109"
},
"callbackUrl": "https://app.example.com/kyc/complete",
"amountUsd": 100
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '[email protected]',
countryCode: 'NG',
provider: 'YELLOW_CARD',
fiatCurrency: 'NGN',
fields: {
first_name: 'Jane',
date_of_birth: '1990-01-01',
BVN: '12345678901',
NIN: '98765432109'
},
callbackUrl: 'https://app.example.com/kyc/complete',
amountUsd: 100
})
};
fetch('https://api.chainrails.io/api/v1/kyc/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chainrails.io/api/v1/kyc/submit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => '[email protected]',
'countryCode' => 'NG',
'provider' => 'YELLOW_CARD',
'fiatCurrency' => 'NGN',
'fields' => [
'first_name' => 'Jane',
'date_of_birth' => '1990-01-01',
'BVN' => '12345678901',
'NIN' => '98765432109'
],
'callbackUrl' => 'https://app.example.com/kyc/complete',
'amountUsd' => 100
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.chainrails.io/api/v1/kyc/submit"
payload := strings.NewReader("{\n \"email\": \"[email protected]\",\n \"countryCode\": \"NG\",\n \"provider\": \"YELLOW_CARD\",\n \"fiatCurrency\": \"NGN\",\n \"fields\": {\n \"first_name\": \"Jane\",\n \"date_of_birth\": \"1990-01-01\",\n \"BVN\": \"12345678901\",\n \"NIN\": \"98765432109\"\n },\n \"callbackUrl\": \"https://app.example.com/kyc/complete\",\n \"amountUsd\": 100\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.chainrails.io/api/v1/kyc/submit")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"[email protected]\",\n \"countryCode\": \"NG\",\n \"provider\": \"YELLOW_CARD\",\n \"fiatCurrency\": \"NGN\",\n \"fields\": {\n \"first_name\": \"Jane\",\n \"date_of_birth\": \"1990-01-01\",\n \"BVN\": \"12345678901\",\n \"NIN\": \"98765432109\"\n },\n \"callbackUrl\": \"https://app.example.com/kyc/complete\",\n \"amountUsd\": 100\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chainrails.io/api/v1/kyc/submit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"[email protected]\",\n \"countryCode\": \"NG\",\n \"provider\": \"YELLOW_CARD\",\n \"fiatCurrency\": \"NGN\",\n \"fields\": {\n \"first_name\": \"Jane\",\n \"date_of_birth\": \"1990-01-01\",\n \"BVN\": \"12345678901\",\n \"NIN\": \"98765432109\"\n },\n \"callbackUrl\": \"https://app.example.com/kyc/complete\",\n \"amountUsd\": 100\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Enter your Chainrails API key as a Bearer token
Body
application/json
Example:
ISO 3166-1 alpha-2 transaction/corridor country. Submit the user’s residence separately as fields.country.
Example:
"NG"
Available options:
FONBNK, ONRAMP_MONEY, GUARDARIAN, YELLOW_CARD Example:
"YELLOW_CARD"
Example:
"NGN"
Optional KYC fields. country is the user’s current country of residence. Supported fields: email, first_name, last_name, phone, date_of_birth, country, BVN, NIN, and address.
Example:
{
"first_name": "Jane",
"date_of_birth": "1990-01-01",
"BVN": "12345678901",
"NIN": "98765432109"
}
URL Didit should redirect the user to after external verification.
Example:
"https://app.example.com/kyc/complete"
Example:
100
Response
201
Was this page helpful?

